Bug 1258038 - [New] - UI generates unexpected exception when user tries to create a brick with existing brick name. [NEEDINFO]
[New] - UI generates unexpected exception when user tries to create a brick w...
Status: CLOSED CANTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Sahina Bose
RHS-C QE
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 13:57 EDT by RamaKasturi
Modified: 2018-01-29 10:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-29 10:13:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sabose: needinfo? (rnachimu)


Attachments (Terms of Use)

  None (edit)
Description RamaKasturi 2015-08-28 13:57:37 EDT
Description of problem:
When user tries to create a brick using the same brick name which already exists and with a different mount point gives unexpected exception.

Unexpected exception gets displayed when UI fails to sync storage devices as well.

Version-Release number of selected component (if applicable):
rhsc-3.1.1-0.64.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create a brick with name brick1 and mount it under /rhgs/brick1
2. Now try creating another brick by providing the same brick name with different mount point.
3. Try syncing the storage devices and make sure that a failure happens.

Actual results:
UI displays unexpected exception in both the above cases mentioned in the description.

Expected results:
UI should display a proper message when brick name is given as the one which already exists and when UI fails to sync storage devices.

Additional info:
Comment 3 Sahina Bose 2016-03-23 02:19:46 EDT
Can you move to ON_QA if this has been fixed?
Comment 6 Sahina Bose 2018-01-29 10:13:35 EST
Thank you for your report. This bug is filed against a component for which no further new development is being undertaken

Note You need to log in before you can comment on or make changes to this bug.